%This script initilize the simulation parameters. 
global f0 Af alfa fs prf T dt tau Np v Rt p_n srr fm_law_bool par1 par2 ...
    multi_target_bool mismatched_bool wn_bool clutter_bool mismatch_type

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%Signal Parameters%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
f0=str2num(get(handles.edit_f0,'String'));
Af=str2num(get(handles.edit_Af,'String'));
alfa=0.001;
prf=str2num(get(handles.edit_prf,'String'));
fs=6*f0;
T=1/prf;
dt=str2num(get(handles.edit_dt,'String'));
tau=T*dt;
Np=str2num(get(handles.edit_Np,'String'));


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%Target Parameters%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
v=str2num(get(handles.edit_v,'String'));
Rt=str2num(get(handles.edit_Rt,'String'));
srr=str2num(get(handles.edit_srr,'String'));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%Channel Parameters%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
p_n=str2num(get(handles.edit_p_n,'String'));


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%Missmatch Filter Parameters%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
par1=str2num(get(handles.mismatch_par1_edit,'String'));
par2=str2num(get(handles.mismatch_par2_edit,'String'));



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%Control Variables%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
mismatch_type=get(handles.select_mismatch,'Value');
fm_law_bool=get(handles.cb_fm_law_bool,'Value');
multi_target_bool=get(handles.cb_multitarget_bool,'Value');
mismatched_bool=get(handles.cb_mismatched_bool,'Value');
wn_bool=get(handles.cb_wn_bool,'Value');
clutter_bool=get(handles.cb_clutter_bool,'Value');











