function y=taylorf(f,f0,Af,n,SLL)
	A=1/(pi)*acosh(10^(-SLL/20));
	sigmat=n^2/(A^2+(n-0.5)^2);
	nindex=1:n-1;
	F=zeros(1,n-1);
	for m=1:n-1
	    p1=(1-(m^2./(sigmat*(A^2+(nindex-0.5).^2))));
	    p2=(1-(m./nindex).^2);
	    p2(m)=1;
	    F(m)=(-1)^(m+1)*(prod(p1))/(2*prod(p2));
	end

	Kt=1/(1+2*sum(F));
	temp=1;

	for m=1:n-1
	    temp=temp+2*F(m)*cos(2*m*pi*(f-(f0+Af/2))/Af);
	end

	y=Kt*temp;	
	u=((f0<=f & f<=(Af+f0)) | (-1*f0>=f & f>=-1*(Af+f0)));
	y(not(u))=0;
end



